Index: branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 292)
+++ branches/HTM-5.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 294)
@@ -169,9 +169,5 @@
   assert(m_pcBitstream->getNumBitsLeft() == 8); /* rsbp_trailing_bits */
 }
-#if RPS_IN_SPS
 void TDecCavlc::parseShortTermRefPicSet( TComSPS* sps, TComReferencePictureSet* rps, Int idx )
-#else
-void TDecCavlc::parseShortTermRefPicSet( TComPPS* pcPPS, TComReferencePictureSet* rps, Int idx )
-#endif
 {
   UInt code;
@@ -184,9 +180,5 @@
     Int rIdx =  idx - 1 - code;
     assert (rIdx <= idx && rIdx >= 0);
-#if RPS_IN_SPS
     TComReferencePictureSet*   rpsRef = sps->getRPSList()->getReferencePictureSet(rIdx);
-#else
-    TComReferencePictureSet*   rpsRef = pcPPS->getRPSList()->getReferencePictureSet(rIdx);
-#endif
     Int k = 0, k0 = 0, k1 = 0;
     READ_CODE(1, bit, "delta_rps_sign"); // delta_RPS_sign
@@ -265,26 +257,16 @@
   READ_FLAG(uiCode, "aps_scaling_list_data_present_flag"); aps->setScalingListEnabled( (uiCode==1)?true:false );
   READ_FLAG(uiCode, "aps_deblocking_filter_flag");         aps->setLoopFilterOffsetInAPS( (uiCode==1)?true:false );
-#if !SAO_UNIT_INTERLEAVING
-  READ_FLAG(uiCode, "aps_sample_adaptive_offset_flag");    aps->setSaoEnabled( (uiCode==1)?true:false );
-#endif
-#if !LCU_SYNTAX_ALF
-  READ_FLAG(uiCode, "aps_adaptive_loop_filter_flag");      aps->setAlfEnabled( (uiCode==1)?true:false );
-#endif
   if(aps->getScalingListEnabled())
   {
     parseScalingList( aps->getScalingList() );
   }
-#if DBL_CONTROL
   if(aps->getLoopFilterOffsetInAPS())
   {
     xParseDblParam( aps );    
   }
-#endif
-#if SAO_UNIT_INTERLEAVING
   READ_FLAG(uiCode, "aps_sao_interleaving_flag");      aps->setSaoInterleavingFlag( (uiCode==1)?true:false );
   if(!aps->getSaoInterleavingFlag())
   {
     READ_FLAG(uiCode, "aps_sample_adaptive_offset_flag");      aps->setSaoEnabled( (uiCode==1)?true:false );
-#endif
   if(aps->getSaoEnabled())
   {
@@ -292,15 +274,8 @@
     xParseSaoParam( aps->getSaoParam() );
   }
-#if SAO_UNIT_INTERLEAVING
-  }
-#endif
-#if LCU_SYNTAX_ALF
+  }
   READ_FLAG(uiCode, "aps_adaptive_loop_filter_flag");      aps->setAlfEnabled( (uiCode==1)?true:false );
-#endif
   if(aps->getAlfEnabled())
   {
-#if !LCU_SYNTAX_ALF
-    aps->getAlfParam()->alf_flag = 1;
-#endif
     xParseAlfParam( aps->getAlfParam());
   }
@@ -316,5 +291,4 @@
 }
 
-#if DBL_CONTROL
 Void  TDecCavlc::xParseDblParam       ( TComAPS* aps )
 {
@@ -333,5 +307,4 @@
   }
 }
-#endif
 /** parse SAO parameters
  * \param pSaoParam
@@ -341,5 +314,4 @@
   UInt uiSymbol;
 
-#if SAO_UNIT_INTERLEAVING
   int i,j, compIdx; 
   int numCuInWidth; 
@@ -393,28 +365,5 @@
     }
   }
-#else
-  if (pSaoParam->bSaoFlag[0])
-  {
-    xParseSaoSplitParam (pSaoParam, 0, 0);
-    xParseSaoOffsetParam(pSaoParam, 0, 0);
-    READ_FLAG (uiSymbol, "sao_flag_cb");
-    pSaoParam->bSaoFlag[1] = uiSymbol? true:false;
-    if (pSaoParam->bSaoFlag[1])
-    {
-      xParseSaoSplitParam (pSaoParam, 0, 1);
-      xParseSaoOffsetParam(pSaoParam, 0, 1);
-    }
-
-    READ_FLAG (uiSymbol, "sao_flag_cr");
-    pSaoParam->bSaoFlag[2] = uiSymbol? true:false;
-    if (pSaoParam->bSaoFlag[2])
-    {
-      xParseSaoSplitParam (pSaoParam, 0, 2);
-      xParseSaoOffsetParam(pSaoParam, 0, 2);
-    }
-  }
-#endif
-}
-#if SAO_UNIT_INTERLEAVING
+}
 /** copy SAO parameter
  * \param dst  
@@ -584,88 +533,5 @@
 }
 
-#else
-/** Decode quadtree split flag
- * \param  pSaoParam, iPartIdx
- */
-Void TDecCavlc::xParseSaoSplitParam(SAOParam* pSaoParam, Int iPartIdx, Int iYCbCr)
-{
-  UInt uiSymbol;
-  SAOQTPart*  pSaoPart = NULL;
-  pSaoPart= &(pSaoParam->psSaoPart[iYCbCr][iPartIdx]);
-
-  if(pSaoPart->PartLevel < pSaoParam->iMaxSplitLevel)
-  {
-    READ_FLAG (uiSymbol, "sao_split_flag");
-    pSaoPart->bSplit = uiSymbol? true:false; 
-    if(pSaoPart->bSplit)
-    {
-      for (Int i=0;i<NUM_DOWN_PART;i++)
-      {
-        xParseSaoSplitParam(pSaoParam, pSaoPart->DownPartsIdx[i], iYCbCr);
-      }
-    }
-  }
-  else
-  {
-    pSaoPart->bSplit = false; 
-  }
-}
-
-/** Decode SAO for one partition
- * \param  pSaoParam, iPartIdx
- */
-Void TDecCavlc::xParseSaoOffsetParam(SAOParam* pSaoParam, Int iPartIdx, Int iYCbCr)
-{
-  UInt uiSymbol;
-  Int iSymbol;  
-  SAOQTPart*  pSaoPart = NULL;
-  pSaoPart = &(pSaoParam->psSaoPart[iYCbCr][iPartIdx]);
-
-  static Int iTypeLength[MAX_NUM_SAO_TYPE] = {
-    SAO_EO_LEN,
-    SAO_EO_LEN,
-    SAO_EO_LEN,
-    SAO_EO_LEN,
-    SAO_BO_LEN,
-    SAO_BO_LEN
-  };  
-  if(!pSaoPart->bSplit)
-  {
-    READ_UVLC (uiSymbol, "sao_type_idx");
-    if (uiSymbol)
-    {
-      pSaoPart->iBestType = uiSymbol-1;
-      pSaoPart->bEnableFlag = true;
-    }
-    else
-    {
-      pSaoPart->iBestType = -1;
-      pSaoPart->bEnableFlag = false;
-    }
-
-    if (pSaoPart->bEnableFlag)
-    {
-      pSaoPart->iLength = iTypeLength[pSaoPart->iBestType];
-      for(Int i=0; i< pSaoPart->iLength; i++)
-      {
-        READ_SVLC (iSymbol, "sao_offset");
-        pSaoPart->iOffset[i] = iSymbol;
-      }
-    }
-    return;
-  }
-
-  //split
-  if (pSaoPart->PartLevel < pSaoParam->iMaxSplitLevel)
-  {
-    for(Int i=0;i<NUM_DOWN_PART;i++)
-    {
-      xParseSaoOffsetParam(pSaoParam, pSaoPart->DownPartsIdx[i], iYCbCr);
-    }
-  }
-}
-#endif
-
-#if LCU_SYNTAX_ALF 
+
 Void TDecCavlc::xParseAlfParam(AlfParamSet* pAlfParamSet, Bool bSentInAPS, Int firstLCUAddr, Bool acrossSlice, Int numLCUInWidth, Int numLCUInHeight)
 {
@@ -931,5 +797,4 @@
 }
 
-#endif
 
 Void TDecCavlc::xParseAlfParam(ALFParam* pAlfParam)
@@ -937,11 +802,6 @@
   UInt uiSymbol;
   Int iSymbol;
-#if ALF_SINGLE_FILTER_SHAPE
   Int sqrFiltLengthTab[NUM_ALF_FILTER_SHAPE] = {ALF_FILTER_LEN}; 
-#else
-  Int sqrFiltLengthTab[2] = { 9, 9}; 
-#endif
-
-#if LCU_SYNTAX_ALF
+
   switch(pAlfParam->componentID)
   {
@@ -961,17 +821,7 @@
   case ALF_Y:
     {
-#endif
   pAlfParam->filters_per_group = 0;
   memset (pAlfParam->filterPattern, 0 , sizeof(Int)*NO_VAR_BINS);
-#if !LCU_SYNTAX_ALF
-  READ_FLAG (uiSymbol, "alf_region_adaptation_flag");
-  pAlfParam->alf_pcr_region_flag = uiSymbol;  
-#endif
-#if ALF_SINGLE_FILTER_SHAPE  
   pAlfParam->filter_shape = 0;
-#else
-  READ_UVLC (uiSymbol, "alf_length_luma_minus_5_div2");
-  pAlfParam->filter_shape = uiSymbol;
-#endif
   pAlfParam->num_coeff = sqrFiltLengthTab[pAlfParam->filter_shape];
 
@@ -989,17 +839,5 @@
   {
     pAlfParam->filters_per_group = 1;
-#if LCU_SYNTAX_ALF
-#if ALF_16_BA_GROUPS
     Int numMergeFlags = 16;
-#else
-    Int numMergeFlags = 15;
-#endif
-#else
-#if ALF_16_BA_GROUPS
-    Int numMergeFlags = 16;
-#else
-    Int numMergeFlags = pAlfParam->alf_pcr_region_flag ? 16 : 15;
-#endif
-#endif
     for (Int i=1; i<numMergeFlags; i++) 
     {
@@ -1021,9 +859,5 @@
   }
 
-#if ALF_SINGLE_FILTER_SHAPE
   Int minScanVal = MIN_SCAN_POS_CROSS;
-#else
-  Int minScanVal = (pAlfParam->filter_shape == ALF_STAR5x5) ? 0: MIN_SCAN_POS_CROSS;
-#endif
 
   // Determine maxScanVal
@@ -1036,8 +870,6 @@
 
   // Golomb parameters
-#if LCU_SYNTAX_ALF
   if( pAlfParam->filters_per_group > 1 )
   {
-#endif
   READ_UVLC (uiSymbol, "alf_min_kstart_minus1");
   pAlfParam->minKStart = 1 + uiSymbol;
@@ -1051,7 +883,5 @@
     kMin = pAlfParam->kMinTab[scanPos];
   }
-#if LCU_SYNTAX_ALF
-  }
-#endif
+  }
 
   Int scanPos;
@@ -1061,13 +891,8 @@
     {
       scanPos = pDepthInt[i] - 1;
-#if LCU_SYNTAX_ALF
       Int k = (pAlfParam->filters_per_group == 1) ? kTableTabShapes[ALF_CROSS9x7_SQUARE3x3][i] : pAlfParam->kMinTab[scanPos];
       pAlfParam->coeffmulti[idx][i] = xGolombDecode(k);
-#else
-      pAlfParam->coeffmulti[idx][i] = xGolombDecode(pAlfParam->kMinTab[scanPos]);
-#endif
-    }
-  }
-#if LCU_SYNTAX_ALF
+    }
+  }
     }
     break;
@@ -1079,28 +904,4 @@
     }
   }
-#else
-  // filter parameters for chroma
-  READ_UVLC (uiSymbol, "alf_chroma_idc");
-  pAlfParam->chroma_idc = uiSymbol;
-
-  if(pAlfParam->chroma_idc)
-  {
-
-#if ALF_SINGLE_FILTER_SHAPE 
-    pAlfParam->filter_shape_chroma  = 0;
-#else
-    READ_UVLC (uiSymbol, "alf_length_chroma_minus_5_div2");
-
-    pAlfParam->filter_shape_chroma = uiSymbol;
-#endif
-    pAlfParam->num_coeff_chroma = sqrFiltLengthTab[pAlfParam->filter_shape_chroma];
-    // filter coefficients for chroma
-    for(Int pos=0; pos<pAlfParam->num_coeff_chroma; pos++)
-    {
-      READ_SVLC (iSymbol, "alf_coeff_chroma");
-      pAlfParam->coeff_chroma[pos] = iSymbol;
-    }
-  }
-#endif
 }
 
@@ -1137,9 +938,5 @@
 }
 
-#if TILES_OR_ENTROPY_SYNC_IDC
 Void TDecCavlc::parsePPS(TComPPS* pcPPS, ParameterSetManagerDecoder *parameterSet)
-#else
-Void TDecCavlc::parsePPS(TComPPS* pcPPS)
-#endif
 {
 #if ENC_DEC_TRACE  
@@ -1150,11 +947,7 @@
   Int   iCode;
 
-#if !RPS_IN_SPS
-  TComRPSList* rpsList = pcPPS->getRPSList();
-#endif
   READ_UVLC( uiCode, "pic_parameter_set_id");                      pcPPS->setPPSId (uiCode);
   READ_UVLC( uiCode, "seq_parameter_set_id");                      pcPPS->setSPSId (uiCode);
 
-#if MULTIBITS_DATA_HIDING
   READ_FLAG ( uiCode, "sign_data_hiding_flag" ); pcPPS->setSignHideFlag( uiCode );
   if( pcPPS->getSignHideFlag() )
@@ -1162,23 +955,7 @@
     READ_CODE( 4, uiCode, "sign_hiding_threshold"); pcPPS->setTSIG(uiCode);
   }
-#endif
 
 #if CABAC_INIT_FLAG
   READ_FLAG( uiCode,   "cabac_init_present_flag" );            pcPPS->setCabacInitPresentFlag( uiCode ? true : false );
-#endif
-#if !RPS_IN_SPS
-  // RPS is put before entropy_coding_mode_flag
-  // since entropy_coding_mode_flag will probably be removed from the WD
-  TComReferencePictureSet*      pcRPS;
-
-  READ_UVLC( uiCode, "num_short_term_ref_pic_sets" );
-  rpsList->create(uiCode);
-
-  for(Int i=0; i< rpsList->getNumberOfReferencePictureSets(); i++)
-  {
-    pcRPS = rpsList->getReferencePictureSet(i);
-    parseShortTermRefPicSet(pcPPS,pcRPS,i);
-  }
-  READ_FLAG( uiCode, "long_term_ref_pics_present_flag" );          pcPPS->setLongTermRefsPresent(uiCode);
 #endif
   // entropy_coding_mode_flag
@@ -1187,24 +964,5 @@
   if (pcPPS->getEntropyCodingMode())
   {
-#if !WPP_SIMPLIFICATION
-    READ_UVLC( uiCode, "entropy_coding_synchro" );                 pcPPS->setEntropyCodingSynchro( uiCode );
-    READ_FLAG( uiCode, "cabac_istate_reset" );                     pcPPS->setCabacIstateReset( uiCode ? true : false );
-#endif
-#if !TILES_OR_ENTROPY_SYNC_IDC
-#if !WPP_SIMPLIFICATION
-    if ( pcPPS->getEntropyCodingSynchro() )
-#endif
-    {
-      READ_UVLC( uiCode, "num_substreams_minus1" );                pcPPS->setNumSubstreams(uiCode+1);
-    }
-#endif
-  }
-#if !H0566_TLA
-  READ_UVLC( uiCode, "num_temporal_layer_switching_point_flags" ); pcPPS->setNumTLayerSwitchingFlags( uiCode );
-  for ( UInt i = 0; i < pcPPS->getNumTLayerSwitchingFlags(); i++ )
-  {
-    READ_FLAG( uiCode, "temporal_layer_switching_point_flag" );    pcPPS->setTLayerSwitchingFlag( i, uiCode > 0 ? true : false );
-  }
-#endif
+  }
   
   // num_ref_idx_l0_default_active_minus1
@@ -1241,13 +999,9 @@
 //printf("TDecCavlc::parsePPS():\tm_bUseWeightPred=%d\tm_uiBiPredIdc=%d\n", pcPPS->getUseWP(), pcPPS->getWPBiPredIdc());
 
-#if H0388
   READ_FLAG( uiCode, "output_flag_present_flag" );
   pcPPS->setOutputFlagPresentFlag( uiCode==1 );
-#endif
-
-#if TILES_OR_ENTROPY_SYNC_IDC
+
   if(parameterSet->getPrefetchedSPS(pcPPS->getSPSId())->getTilesOrEntropyCodingSyncIdc()==1)
   {
-#endif
     READ_FLAG ( uiCode, "tile_info_present_flag" );
     pcPPS->setColumnRowInfoPresent(uiCode);
@@ -1290,26 +1044,12 @@
       Int iNumColTilesMinus1 = (pcPPS->getColumnRowInfoPresent() == 1)?(pcPPS->getNumColumnsMinus1()):(pcPPS->getSPS()->getNumColumnsMinus1());
       Int iNumRowTilesMinus1 = (pcPPS->getColumnRowInfoPresent() == 1)?(pcPPS->getNumColumnsMinus1()):(pcPPS->getSPS()->getNumRowsMinus1());
-#if !REMOVE_TILE_DEPENDENCE
-      pcPPS->setTileBoundaryIndependenceIdr( 1 ); //default
-#endif
       pcPPS->setLFCrossTileBoundaryFlag(true); //default
 
       if(iNumColTilesMinus1 !=0 || iNumRowTilesMinus1 !=0)
       {
-#if !REMOVE_TILE_DEPENDENCE
-        READ_FLAG ( uiCode, "tile_boundary_independence_flag" );  
-        pcPPS->setTileBoundaryIndependenceIdr( uiCode );
-
-        if(pcPPS->getTileBoundaryIndependenceIdr() == 1)
-        {
-#endif
           READ_FLAG ( uiCode, "loop_filter_across_tile_flag" );  
           pcPPS->setLFCrossTileBoundaryFlag( (uiCode == 1)?true:false );
-#if !REMOVE_TILE_DEPENDENCE
-        }
-#endif
-      }
-    }
-#if TILES_OR_ENTROPY_SYNC_IDC
+      }
+    }
   }
   else if(parameterSet->getPrefetchedSPS(pcPPS->getSPSId())->getTilesOrEntropyCodingSyncIdc()==2)
@@ -1317,15 +1057,10 @@
     READ_UVLC( uiCode, "num_substreams_minus1" );                pcPPS->setNumSubstreams(uiCode+1);
   }
-#endif
-
-#if DBL_CONTROL
+
   READ_FLAG( uiCode, "deblocking_filter_control_present_flag" ); 
   pcPPS->setDeblockingFilterControlPresent( uiCode ? true : false);
-#endif
-#if PARALLEL_MERGE
   READ_UVLC( uiCode, "log2_parallel_merge_level_minus2");
   assert(uiCode == LOG2_PARALLEL_MERGE_LEVEL_MINUS2);
   pcPPS->setLog2ParallelMergeLevelMinus2 (uiCode);
-#endif
 
   READ_FLAG( uiCode, "pps_extension_flag");
@@ -1496,5 +1231,4 @@
   READ_UVLC (    uiCode, "pic_width_in_luma_samples" );          pcSPS->setPicWidthInLumaSamples ( uiCode    );
   READ_UVLC (    uiCode, "pic_height_in_luma_samples" );         pcSPS->setPicHeightInLumaSamples( uiCode    );
-#if PIC_CROPPING
   READ_FLAG(     uiCode, "pic_cropping_flag");                   pcSPS->setPicCroppingFlag ( uiCode ? true : false );
   if (uiCode != 0)
@@ -1505,5 +1239,4 @@
     READ_UVLC(   uiCode, "pic_crop_bottom_offset" );             pcSPS->setPicCropBottomOffset( uiCode );
   }
-#endif
 
 #if FULL_NBIT
@@ -1525,7 +1258,5 @@
 #endif
 
-#if H0736_AVC_STYLE_QP_RANGE
   pcSPS->setQpBDOffsetY( (Int) (6*uiCode) );
-#endif
 
   g_uiBASE_MAX  = ((1<<(g_uiBitDepth))-1);
@@ -1537,7 +1268,5 @@
 #endif
   READ_UVLC( uiCode,    "bit_depth_chroma_minus8" );
-#if H0736_AVC_STYLE_QP_RANGE
   pcSPS->setQpBDOffsetC( (Int) (6*uiCode) );
-#endif
 
   READ_FLAG( uiCode, "pcm_enabled_flag" ); pcSPS->setUsePCM( uiCode ? true : false );
@@ -1554,5 +1283,4 @@
 
   READ_UVLC( uiCode,    "log2_max_pic_order_cnt_lsb_minus4" );   pcSPS->setBitsForPOC( 4 + uiCode );
-#if H0567_DPB_PARAMETERS_PER_TEMPORAL_LAYER
   for(UInt i=0; i <= pcSPS->getMaxTLayers()-1; i++)
   {
@@ -1564,14 +1292,5 @@
     pcSPS->setMaxLatencyIncrease( uiCode, i );
   }
-#else
-  READ_UVLC( uiCode,    "max_num_ref_pics" );                    pcSPS->setMaxNumberOfReferencePictures(uiCode);
-  READ_UVLC( uiCode,    "num_reorder_frames" );                  pcSPS->setNumReorderFrames(uiCode);
-  READ_UVLC ( uiCode, "max_dec_frame_buffering");
-  pcSPS->setMaxDecFrameBuffering( uiCode );
-  READ_UVLC ( uiCode, "max_latency_increase");
-  pcSPS->setMaxLatencyIncrease( uiCode );
-#endif
-
-#if H0412_REF_PIC_LIST_RESTRICTION
+
   READ_FLAG( uiCode, "restricted_ref_pic_lists_flag" );
   pcSPS->setRestrictedRefPicListsFlag( uiCode );
@@ -1585,5 +1304,4 @@
     pcSPS->setListsModificationPresentFlag(true);
   }
-#endif
   READ_UVLC( uiCode, "log2_min_coding_block_size_minus3" );
   UInt log2MinCUSize = uiCode + 3;
@@ -1628,10 +1346,8 @@
   READ_FLAG( uiCode, "sample_adaptive_offset_enabled_flag" );       pcSPS->setUseSAO ( uiCode ? true : false );  
   READ_FLAG( uiCode, "adaptive_loop_filter_enabled_flag" );         pcSPS->setUseALF ( uiCode ? true : false );
-#if LCU_SYNTAX_ALF
   if(pcSPS->getUseALF())
   {
     READ_FLAG( uiCode, "alf_coef_in_slice_flag" );      pcSPS->setUseALFCoefInSlice ( uiCode ? true : false );
   }
-#endif
   if( pcSPS->getUsePCM() )
   {
@@ -1642,5 +1358,4 @@
 
 
-#if RPS_IN_SPS
   TComRPSList* rpsList = pcSPS->getRPSList();
   TComReferencePictureSet* rps;
@@ -1655,11 +1370,4 @@
   }
   READ_FLAG( uiCode, "long_term_ref_pics_present_flag" );          pcSPS->setLongTermRefsPresent(uiCode);
-#endif
-#if !PIC_CROPPING
-  //!!!KS: Syntax not in WD !!!
-
-  xReadUvlc ( uiCode ); pcSPS->setPadX        ( uiCode    );
-  xReadUvlc ( uiCode ); pcSPS->setPadY        ( uiCode    );
-#endif
   
   // AMVP mode for each depth (AM_NONE or AM_EXPL)
@@ -1670,12 +1378,8 @@
   }
 
-#if TILES_WPP_ENTRY_POINT_SIGNALLING
   READ_CODE(2, uiCode, "tiles_or_entropy_coding_sync_idc");         pcSPS->setTilesOrEntropyCodingSyncIdc(uiCode);
-#endif
-
-#if TILES_OR_ENTROPY_SYNC_IDC
+
   if(pcSPS->getTilesOrEntropyCodingSyncIdc() == 1)
   {
-#endif
     READ_UVLC ( uiCode, "num_tile_columns_minus1" );
     pcSPS->setNumColumnsMinus1( uiCode );  
@@ -1704,26 +1408,12 @@
       free(rowHeight);  
     }
-#if !REMOVE_TILE_DEPENDENCE
-    pcSPS->setTileBoundaryIndependenceIdr( 1 ); //default
-#endif
     pcSPS->setLFCrossTileBoundaryFlag(true); //default
 
     if( pcSPS->getNumColumnsMinus1() !=0 || pcSPS->getNumRowsMinus1() != 0)
     {
-#if !REMOVE_TILE_DEPENDENCE
-      READ_FLAG ( uiCode, "tile_boundary_independence_flag" );  
-      pcSPS->setTileBoundaryIndependenceIdr( uiCode );
-      if(pcSPS->getTileBoundaryIndependenceIdr() == 1)
-      {
-#endif
         READ_FLAG ( uiCode, "loop_filter_across_tile_flag" );  
         pcSPS->setLFCrossTileBoundaryFlag( (uiCode==1)?true:false);
-#if !REMOVE_TILE_DEPENDENCE
-      }
-#endif
-    }
-#if TILES_OR_ENTROPY_SYNC_IDC
-  }
-#endif
+    }
+  }
   READ_FLAG( uiCode, "sps_extension_flag");
 #if !QC_MVHEVC_B0046
@@ -1894,12 +1584,8 @@
 }
 
-#if LCU_SYNTAX_ALF
 #if MTK_DEPTH_MERGE_TEXTURE_CANDIDATE_C0137
 Void TDecCavlc::parseSliceHeader (TComSlice*& rpcSlice, ParameterSetManagerDecoder *parameterSetManager, AlfCUCtrlInfo &alfCUCtrl, AlfParamSet& alfParamSet, bool isDepth)
 #else
 Void TDecCavlc::parseSliceHeader (TComSlice*& rpcSlice, ParameterSetManagerDecoder *parameterSetManager, AlfCUCtrlInfo &alfCUCtrl, AlfParamSet& alfParamSet)
-#endif
-#else
-Void TDecCavlc::parseSliceHeader (TComSlice*& rpcSlice, ParameterSetManagerDecoder *parameterSetManager, AlfCUCtrlInfo &alfCUCtrl)
 #endif
 {
@@ -1988,5 +1674,4 @@
     rpcSlice->setSPS(sps);
     rpcSlice->setPPS(pps);
-#if H0388
     if( pps->getOutputFlagPresentFlag() )
     {
@@ -1998,5 +1683,4 @@
       rpcSlice->setPicOutputFlag( true );
     }
-#endif
 #if QC_REM_IDV_B0046
 #if !QC_MVHEVC_B0046
@@ -2065,33 +1749,19 @@
         {
           rps = rpcSlice->getLocalRPS();
-#if RPS_IN_SPS
           parseShortTermRefPicSet(sps,rps, sps->getRPSList()->getNumberOfReferencePictureSets());
-#else
-          parseShortTermRefPicSet(pps,rps, pps->getRPSList()->getNumberOfReferencePictureSets());
-#endif
           rpcSlice->setRPS(rps);
         }
         else // use reference to short-term reference picture set in PPS
         {
-#if RPS_IN_SPS
           READ_UVLC( uiCode, "short_term_ref_pic_set_idx"); rpcSlice->setRPS(sps->getRPSList()->getReferencePictureSet(uiCode));
-#else
-          READ_UVLC( uiCode, "short_term_ref_pic_set_idx"); rpcSlice->setRPS(pps->getRPSList()->getReferencePictureSet(uiCode));
-#endif
           rps = rpcSlice->getRPS();
         }
-#if RPS_IN_SPS
         if(sps->getLongTermRefsPresent())
-#else
-        if(pps->getLongTermRefsPresent())
-#endif
         {
           Int offset = rps->getNumberOfNegativePictures()+rps->getNumberOfPositivePictures();
           READ_UVLC( uiCode, "num_long_term_pics");             rps->setNumberOfLongtermPictures(uiCode);
           Int prev = 0;
-#if LTRP_MULT
           Int prevMsb=0;
           Int prevDeltaPocLt=0;
-#endif
           for(Int j=rps->getNumberOfLongtermPictures()+offset-1 ; j > offset-1; j--)
           {
@@ -2099,5 +1769,4 @@
             prev += uiCode;
 
-#if LTRP_MULT
             READ_FLAG(uiCode,"delta_poc_msb_present_flag");
             Int decDeltaPOCMsbPresent=uiCode;
@@ -2120,11 +1789,8 @@
             else
             {
-#endif
               rps->setPOC(j,rpcSlice->getPOC()-prev);          
               rps->setDeltaPOC(j,-(Int)prev);
-#if LTRP_MULT
             }
             prevDeltaPocLt=prev;
-#endif
             READ_FLAG( uiCode, "used_by_curr_pic_lt_flag");     rps->setUsed(j,uiCode);
           }
@@ -2145,9 +1811,6 @@
       if (sps->getUseSAO())
       {
-#if SAO_UNIT_INTERLEAVING
         READ_FLAG(uiCode, "slice_sao_interleaving_flag");        rpcSlice->setSaoInterleavingFlag(uiCode);
-#endif
         READ_FLAG(uiCode, "slice_sample_adaptive_offset_flag");  rpcSlice->setSaoEnabledFlag((Bool)uiCode);
-#if SAO_UNIT_INTERLEAVING
         if (rpcSlice->getSaoEnabledFlag() && rpcSlice->getSaoInterleavingFlag())
         {
@@ -2160,5 +1823,4 @@
           rpcSlice->setSaoEnabledFlagCr(0);
         }
-#endif
       }
       READ_UVLC (    uiCode, "aps_id" );  rpcSlice->setAPSId(uiCode);
@@ -2188,5 +1850,4 @@
     if( !rpcSlice->isIntra() )
     {
-#if H0412_REF_PIC_LIST_RESTRICTION
 #if QC_MVHEVC_B0046
     if( !rpcSlice->getViewId() || !rpcSlice->getSPS()->getListsModificationPresentFlag() )
@@ -2199,9 +1860,6 @@
       else
       {
-#endif
         READ_FLAG( uiCode, "ref_pic_list_modification_flag_l0" ); refPicListModification->setRefPicListModificationFlagL0( uiCode ? 1 : 0 );
-#if H0412_REF_PIC_LIST_RESTRICTION
-      }
-#endif
+      }
       
       if(refPicListModification->getRefPicListModificationFlagL0())
@@ -2209,5 +1867,4 @@
         uiCode = 0;
         Int i = 0;
-#if H0137_0138_LIST_MODIFICATION
         Int NumPocTotalCurr = rpcSlice->getNumPocTotalCurrMvc();
         if ( NumPocTotalCurr > 1 )
@@ -2232,36 +1889,12 @@
           }
         }
-#else
-        Int list_modification_idc = 0;
-        while(list_modification_idc != 3)  
-        {
-          READ_UVLC( uiCode, "list_modification_idc" ); refPicListModification->setListIdcL0(i, uiCode );
-          list_modification_idc = uiCode;
-          if(uiCode != 3)
-          {
-            READ_UVLC( uiCode, "ref_pic_set_idx" ); refPicListModification->setRefPicSetIdxL0(i, uiCode );
-          }
-          i++;
-        }
-        refPicListModification->setNumberOfRefPicListModificationsL0(i-1);
-#endif
-      }
-#if !H0137_0138_LIST_MODIFICATION
-      else
-      {
-        refPicListModification->setNumberOfRefPicListModificationsL0(0); 
-      }
-#endif
+      }
     }
     else
     {
       refPicListModification->setRefPicListModificationFlagL0(0);
-#if !H0137_0138_LIST_MODIFICATION
-      refPicListModification->setNumberOfRefPicListModificationsL0(0);
-#endif
     }
     if(rpcSlice->isInterB())
     {
-#if H0412_REF_PIC_LIST_RESTRICTION
 #if QC_MVHEVC_B0046
     if( !rpcSlice->getViewId() || !rpcSlice->getSPS()->getListsModificationPresentFlag() )
@@ -2274,14 +1907,10 @@
       else
       {
-#endif
         READ_FLAG( uiCode, "ref_pic_list_modification_flag_l1" ); refPicListModification->setRefPicListModificationFlagL1( uiCode ? 1 : 0 );
-#if H0412_REF_PIC_LIST_RESTRICTION
-      }
-#endif
+      }
       if(refPicListModification->getRefPicListModificationFlagL1())
       {
         uiCode = 0;
         Int i = 0;
-#if H0137_0138_LIST_MODIFICATION
         Int NumPocTotalCurr = rpcSlice->getNumPocTotalCurrMvc();
         if ( NumPocTotalCurr > 1 )
@@ -2306,32 +1935,9 @@
           }
         }
-#else
-        Int list_modification_idc = 0;
-        while(list_modification_idc != 3)  
-        {
-          READ_UVLC( uiCode, "list_modification_idc" ); refPicListModification->setListIdcL1(i, uiCode );
-          list_modification_idc = uiCode;
-          if(uiCode != 3)
-          {
-            READ_UVLC( uiCode, "ref_pic_set_idx" ); refPicListModification->setRefPicSetIdxL1(i, uiCode );
-          }
-          i++;
-        }
-        refPicListModification->setNumberOfRefPicListModificationsL1(i-1);
-#endif
-      }
-#if !H0137_0138_LIST_MODIFICATION
-      else
-      {
-        refPicListModification->setNumberOfRefPicListModificationsL1(0);
-      }
-#endif
+      }
     }  
     else
     {
       refPicListModification->setRefPicListModificationFlagL1(0);
-#if !H0137_0138_LIST_MODIFICATION
-      refPicListModification->setNumberOfRefPicListModificationsL1(0);
-#endif
     }
   }
@@ -2351,5 +1957,4 @@
       READ_UVLC( uiCode, "num_ref_idx_lc_active_minus1" );      rpcSlice->setNumRefIdx( REF_PIC_LIST_C, uiCode + 1 );
       
-#if H0412_REF_PIC_LIST_RESTRICTION
 #if QC_MVHEVC_B0046
     if( rpcSlice->getViewId() && rpcSlice->getSPS()->getListsModificationPresentFlag() )
@@ -2358,5 +1963,4 @@
 #endif
       {
-#endif
         READ_FLAG( uiCode, "ref_pic_list_modification_flag_lc" ); rpcSlice->setRefPicListModificationFlagLC( uiCode ? 1 : 0 );
         if(uiCode)
@@ -2366,5 +1970,4 @@
             READ_FLAG( uiCode, "pic_from_list_0_flag" );
             rpcSlice->setListIdFromIdxOfLC(i, uiCode);
-#if H0137_0138_LIST_MODIFICATION
           if (((rpcSlice->getListIdFromIdxOfLC(i) == REF_PIC_LIST_0) && (rpcSlice->getNumRefIdx( REF_PIC_LIST_0 ) == 1)) || ((rpcSlice->getListIdFromIdxOfLC(i) == REF_PIC_LIST_1) && (rpcSlice->getNumRefIdx( REF_PIC_LIST_1 ) == 1)) )
           {
@@ -2375,12 +1978,8 @@
             READ_UVLC( uiCode, "ref_idx_list_curr" );
           }
-#else
-            READ_UVLC( uiCode, "ref_idx_list_curr" );
-#endif
             rpcSlice->setRefIdxFromIdxOfLC(i, uiCode);
             rpcSlice->setRefIdxOfLC((RefPicList)rpcSlice->getListIdFromIdxOfLC(i), rpcSlice->getRefIdxFromIdxOfLC(i), i);
           }
         }
-#if H0412_REF_PIC_LIST_RESTRICTION
       }
       else
@@ -2388,5 +1987,4 @@
         rpcSlice->setRefPicListModificationFlagLC(false);
       }
-#endif
     }
     else
@@ -2401,10 +1999,8 @@
   }
   
-#if H0111_MVD_L1_ZERO
   if (rpcSlice->isInterB())
   {
     READ_FLAG( uiCode, "mvd_l1_zero_flag" );       rpcSlice->setMvdL1ZeroFlag( (uiCode ? true : false) );
   }
-#endif
 
 #if CABAC_INIT_FLAG
@@ -2432,10 +2028,7 @@
     rpcSlice->setSliceQp (26 + pps->getPicInitQPMinus26() + iCode);
 
-#if H0736_AVC_STYLE_QP_RANGE
     assert( rpcSlice->getSliceQp() >= -sps->getQpBDOffsetY() );
     assert( rpcSlice->getSliceQp() <=  51 );
-#endif
-
-#if DBL_CONTROL
+
     if (rpcSlice->getPPS()->getDeblockingFilterControlPresent())
     {
@@ -2447,7 +2040,4 @@
         rpcSlice->setInheritDblParamFromAPS(0);
       }
-#else
-    READ_FLAG ( uiCode, "inherit_dbl_param_from_APS_flag" ); rpcSlice->setInheritDblParamFromAPS(uiCode ? 1 : 0);
-#endif
       if(!rpcSlice->getInheritDblParamFromAPS())
       {
@@ -2459,7 +2049,5 @@
         }
       }
-#if DBL_CONTROL
    }
-#endif
     if ( rpcSlice->getSliceType() == B_SLICE )
     {
@@ -2531,5 +2119,4 @@
 
       Int uiNumCUsInFrame = uiNumLCUsInWidth* uiNumLCUsInHeight; 
-#if LCU_SYNTAX_ALF
       if(sps->getUseALFCoefInSlice())
       {
@@ -2544,9 +2131,6 @@
       if(!sps->getUseALFCoefInSlice())
       {
-#endif
       xParseAlfCuControlParam(alfCUCtrl, uiNumCUsInFrame);
-#if LCU_SYNTAX_ALF
-      }
-#endif
+      }
 
     }
@@ -2557,16 +2141,8 @@
   if (!bEntropySlice)
   {
-#if !REMOVE_TILE_DEPENDENCE
-    if (sps->getTileBoundaryIndependenceIdr())
-    {   
-#endif
     xReadCode(1, uiCode); // read flag indicating if tile markers transmitted
     rpcSlice->setTileMarkerFlag( uiCode );
-#if !REMOVE_TILE_DEPENDENCE
-    }
-#endif
-  }
-
-#if TILES_WPP_ENTRY_POINT_SIGNALLING
+  }
+
   Int tilesOrEntropyCodingSyncIdc = rpcSlice->getSPS()->getTilesOrEntropyCodingSyncIdc();
   UInt *entryPointOffset          = NULL;
@@ -2629,95 +2205,11 @@
     delete [] entryPointOffset;
   }
-#else
-#if WPP_SIMPLIFICATION
-  if (pps->getNumSubstreams() > 1)
-#else
-  if (pps->getEntropyCodingSynchro())
-#endif
-  {
-    UInt uiNumSubstreams = pps->getNumSubstreams();
-    rpcSlice->allocSubstreamSizes(uiNumSubstreams);
-    UInt *puiSubstreamSizes = rpcSlice->getSubstreamSizes();
-
-    for (UInt ui = 0; ui+1 < uiNumSubstreams; ui++)
-    {
-      xReadCode(2, uiCode);
-      
-      switch ( uiCode )
-      {
-      case 0:
-        xReadCode(8,  uiCode);
-        break;
-      case 1:
-        xReadCode(16, uiCode);
-        break;
-      case 2:
-        xReadCode(24, uiCode);
-        break;
-      case 3:
-        xReadCode(32, uiCode);
-        break;
-      default:
-        printf("Error in parseSliceHeader\n");
-        exit(-1);
-        break;
-      }
-      puiSubstreamSizes[ui] = uiCode;
-    }
-  }
-#endif
 
   if (!bEntropySlice)
   {
     // Reading location information
-#if !REMOVE_TILE_DEPENDENCE
-    if (sps->getTileBoundaryIndependenceIdr())
-    {   
-#endif
-#if !TILES_WPP_ENTRY_POINT_SIGNALLING
-      xReadCode(1, uiCode); // read flag indicating if location information signaled in slice header
-      Bool bTileLocationInformationInSliceHeaderFlag = (uiCode)? true : false;
-
-      if (bTileLocationInformationInSliceHeaderFlag)
-      {
-        // location count
-        xReadCode(5, uiCode); // number of tiles for which location information signaled
-        rpcSlice->setTileLocationCount ( uiCode + 1 );
-
-        xReadCode(5, uiCode); // number of bits used by diff
-        Int iBitsUsedByDiff = uiCode + 1;
-
-        // read out tile start location
-        Int iLastSize = 0;
-        for (UInt uiIdx=0; uiIdx<rpcSlice->getTileLocationCount(); uiIdx++)
-        {
-          Int iAbsDiff, iCurSize, iCurDiff;
-          if (uiIdx==0)
-          {
-            xReadCode(iBitsUsedByDiff-1, uiCode); iAbsDiff  = uiCode;
-            rpcSlice->setTileLocation( uiIdx, iAbsDiff );
-            iCurDiff  = iAbsDiff;
-            iLastSize = iAbsDiff;
-          }
-          else
-          {
-            xReadCode(1, uiCode); // read sign
-            Int iSign = (uiCode) ? -1 : +1;
-
-            xReadCode(iBitsUsedByDiff-1, uiCode); iAbsDiff  = uiCode;
-            iCurDiff  = (iSign) * iAbsDiff;
-            iCurSize  = iLastSize + iCurDiff;
-            iLastSize = iCurSize;
-            rpcSlice->setTileLocation( uiIdx, rpcSlice->getTileLocation( uiIdx-1 ) + iCurSize ); // calculate byte location
-          }
-        }
-      }
-#endif
 
       // read out trailing bits
     m_pcBitstream->readOutTrailingBits();
-#if !REMOVE_TILE_DEPENDENCE
-    }
-#endif
   }
   return;
